Bug 1126091 - libpfm Corrected events for Intel Haswell, Ivy Bridge, and Sandy Bridge processors
Summary: libpfm Corrected events for Intel Haswell, Ivy Bridge, and Sandy Bridge proce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libpfm
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 7.1
Assignee: William Cohen
QA Contact: Michael Petlan
URL:
Whiteboard:
Depends On:
Blocks: 1126090
TreeView+ depends on / blocked
 
Reported: 2014-08-01 20:44 UTC by William Cohen
Modified: 2015-03-05 08:23 UTC (History)
7 users (show)

Fixed In Version: libpfm-4.4.0-8.el7
Doc Type: Bug Fix
Doc Text:
Cause: A number of the PAPI event presets for Intel processors were found to be incorrect. Consequence: Some of the presets available for Intel Haswell, Ivy Bridge, and Sandy Bridge processors would not correctly measure some metrics. Fix: The PAPI event presets have been updated to better measure various performance events on newer Intel processors. Result: Improved event measurements for various Intel processors.
Clone Of:
Environment:
Last Closed: 2015-03-05 08:23:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0372 normal SHIPPED_LIVE libpfm and papi bug fix and enhancement update 2015-03-05 12:50:53 UTC

Description William Cohen 2014-08-01 20:44:20 UTC
Description of problem:  libpfm-4.4 should have event names and configurations updates for Intel Haswell, Ivy Bridge, and Sandy Bridge processors backported to it.

There have been a number of updates to the events for the Intel processors since libpfm-4.4 was released.  These should be included in the RHEL7 version of libpfm.   These include Floating point events for ivy bridge and

Comment 2 William Cohen 2014-09-28 16:24:26 UTC
The support for various Intel processors added after libpfm 4.4 has been backported to the rhel7 libpfm-4.4.0

As far as testing Michael Petlan has a list of machines that he usually tests on to get some coverage.  However, I don't know if we have easy access to the avoton and newer haswell processor.  Some of this testing may need to be done by a partner.  We might be limited to just doing sanity tests with libpfm's validate_x86.

Comment 15 errata-xmlrpc 2015-03-05 08:23:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0372.html


Note You need to log in before you can comment on or make changes to this bug.